CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
SPTEventLog Class Reference
Inheritance diagram for SPTEventLog:
[legend]
Collaboration diagram for SPTEventLog:
[legend]

## Public Member Functions
| __construct ()
| Object constructor. More...
| LimitFindToUserType ($UserType)
| Limit events to specific user type. More...
Public Member Functions inherited from EventLog
| __construct ($DB, $UserId=-1, $LoggingEnabled=TRUE)
| Object constructor. More...
| Log ($Type, $DataOne="", $DataTwo="")
| Add event to log. More...
| FindEvents ($StartDate=NULL, $EndDate=NULL, $EventCount=999999999)
| Retrieve specified range of events. More...
| ExcludeUsersWithPrivilegesForFind ($Operator, $Value)
| Add privilege to exclude from FindEvents() results. More...
| AddSqlConditionForFind ($Conditions)
| Add SQL condition to apply to FindEvents(). More...
| LimitFindToUser ($UserId=NULL)
| Limit FindEvents() results to user with specified ID. More...
| ModifyEvents ($EventType, $EventDate, $UserId, $DataOne=NULL, $DataTwo=NULL, $Condition=NULL)
| Modify existing events. More...

## Public Attributes
const | SPTEVENT_USERLOGIN = 1
const | SPTEVENT_NEWACCOUNTSIGNUP = 2
const | SPTEVENT_NEWACCOUNTCONFIRM = 3
const | SPTEVENT_SEARCH = 4
const | SPTEVENT_ADVANCEDSEARCH = 5
const | SPTEVENT_RESOURCELINKCLICK = 6
const | SPTEVENT_OAIHARVEST = 7
const | SPTUSERTYPE_ALL = 1
const | SPTUSERTYPE_ANONYMOUS = 2
const | SPTUSERTYPE_NONPRIVILEGED = 3
const | SPTUSERTYPE_PRIVILEGED = 4

## Detailed Description

Definition at line 11 of file SPTEventLog.php.

## Constructor & Destructor Documentation

SPTEventLog::__construct | ( |  | ) |

Object constructor.

Definition at line 34 of file SPTEventLog.php.

## Member Function Documentation

SPTEventLog::LimitFindToUserType | ( |  | $UserType | ) |

Limit events to specific user type.

Parameters

  int | $UserType | User type (SPTUSERTYPE_* constant).

Definition at line 49 of file SPTEventLog.php.

References SPTUSERTYPE_NONPRIVILEGED, and SPTUSERTYPE_PRIVILEGED.

## Member Data Documentation

const SPTEventLog::SPTEVENT_ADVANCEDSEARCH = 5

Definition at line 21 of file SPTEventLog.php.

const SPTEventLog::SPTEVENT_NEWACCOUNTCONFIRM = 3

Definition at line 19 of file SPTEventLog.php.

const SPTEventLog::SPTEVENT_NEWACCOUNTSIGNUP = 2

Definition at line 18 of file SPTEventLog.php.

const SPTEventLog::SPTEVENT_OAIHARVEST = 7

Definition at line 23 of file SPTEventLog.php.

const SPTEventLog::SPTEVENT_RESOURCELINKCLICK = 6

Definition at line 22 of file SPTEventLog.php.

const SPTEventLog::SPTEVENT_SEARCH = 4

Definition at line 20 of file SPTEventLog.php.

const SPTEventLog::SPTEVENT_USERLOGIN = 1

Definition at line 17 of file SPTEventLog.php.

const SPTEventLog::SPTUSERTYPE_ALL = 1

Definition at line 26 of file SPTEventLog.php.

const SPTEventLog::SPTUSERTYPE_ANONYMOUS = 2

Definition at line 27 of file SPTEventLog.php.

const SPTEventLog::SPTUSERTYPE_NONPRIVILEGED = 3

Definition at line 28 of file SPTEventLog.php.

Referenced by LimitFindToUserType().

const SPTEventLog::SPTUSERTYPE_PRIVILEGED = 4

Definition at line 29 of file SPTEventLog.php.

Referenced by LimitFindToUserType().

The documentation for this class was generated from the following file:

- objects/SPTEventLog.php